DeepFellow DOCS

Ask a question against the knowledge graph and get a synthesized answer

Answer a natural-language question using the project's knowledge graph.

POST
/v1/graph/completion
Authorization[Bearer <token>]

In: header

Header Parameters

OpenAI-Organization?[string | null]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[string | null]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

query[string]

Natural language question

history?[array<GraphChatMessage> | null]

Prior turns for multi-turn conversations

Response Body

curl -X POST "https://deepfellow-server-host/v1/graph/completion" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -H "Content-Type: application/json" \  -d '{    "query": "string"  }'
{
  "answer": "string",
  "sources": [
    {
      "content": "string",
      "score": 0,
      "metadata": {}
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.